petsc-3.7.1 2016-05-15
Report Typos and Errors

# TSSetApplicationContext

Sets an optional user-defined context for the timesteppers.

### Synopsis

    #include "petscts.h"
    PetscErrorCode  TSSetApplicationContext(TS ts,void *usrP)

Logically Collective on TS Many br

### Input Parameters

| ts | - the TS context obtained from TSCreate() Many br
| usrP | - optional user context Many br

Fortran Notes: To use this from Fortran you must write a Fortran interface definition for this Many brfunction that tells Fortran the Fortran derived data type that you are passing in as the ctx argument. Many br

Many br

### Keywords

TS, timestep, set, application, context

### See Also

TSGetApplicationContext()

Level:intermediate
Location:src/ts/interface/ts.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ts/examples/tutorials/ex42.c.html